资源共享:我的ubuntu 使用历程(8-e17)

XFCE和LXDE桌面环境
回复
tawie
帖子: 132
注册时间: 2005-10-23 21:46
来自: 深圳
送出感谢: 0
接收感谢: 0

资源共享:我的ubuntu 使用历程(8-e17)

#1

帖子 tawie » 2006-02-18 15:33

ubuntu安装配置说明(E17)
==============
李家芳(leejiafang@tom.com)

安装E17.中文化。
2005-7-12 9:26

安装E17
----------------
0、前期准备
首先安装 ubuntu server 510 系统,然后:

# sudo su -
# apt-setup
# vi /etc/apt/sources.list
-------------------------------
deb http://ubuntu.cn99.com/ubuntu/ breezy main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ breezy-security main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ breezy-updates main restricted universe multiverse


deb-src http://ubuntu.cn99.com/ubuntu breezy main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu breezy-security main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu breezy-updates main restricted universe multiverse
--------------------------------------------------------
# apt-get update


安装xubuntu:
# apt-get install xubuntu-desktop


安装E-17
Add this line to your /etc/apt/sources.list:
# vi /etc/apt/sources.list
--------------------
deb http://soulmachine.net/breezy unstable/
-------------------------------

and this to your /etc/apt/preferences (if there isn't any create one)
# vi /etc/apt/preferences
注意:以下各行结尾不能有多余的空格,否则会在后面出现包依赖错误。
---------------------------
Package:enlightenment
Pin:version 0.16.999*
Pin-Priority:999
Package:enlightenment-data
Pin:version 0.16.999*
Pin-Priority:999
----------------------------

then:
install the public.key from:in the terminal/konsole type:
# wget soulmachine.net/public.key && sudo apt-key add public.key

安装:
# sudo apt-get update (or run synaptic refresh)
# sudo apt-get install enlightenment



配置e17作为xfce的桌面:
修改 /etc/xdg/xfce4-session/xfce4-session.rc 文件,找到下面这段:

[Failsafe Session]
Count=4
Client0_Command=xfwm4
Client0_PerScreen=False
Client1_Command=xfce4-panel
Client1_PerScreen=True
Client2_Command=xftaskbar4
Client2_PerScreen=True
Client3_Command=xfdesktop
Client3_PerScreen=False

将其改为:

[Failsafe Session]
Count=3
Client0_Command=xfwm4
Client0_PerScreen=False
Client1_Command=xfce4-panel
Client1_PerScreen=True
Client2_Command=xftaskbar4
Client2_PerScreen=True
# Client3_Command=xfdesktop
# Client3_PerScreen=False

也就是让 xfce4 会话加载时,不加载 xfdesktop。

然后修改 /etc/X11/Xsession.d/ 目录下的 99xorg-common_start 文件,把文件中的 exec $STARTUP 一行注释掉,加上exec enlightenment这句:
----------------------
#exec $STARTUP
exec enlightenment
---------------------


启动e17
# startx



中文化:
------------
1、安装

#apt-get update
#apt-get install locales localepurge localeconf

2:运行
注意以下配置需要在不同用户环境下分别进行配置,例如以root帐号登录配置完,还要以普通用户帐号lee登录配置,
即每个用户的locale环境互不影响,要分别配置。
#dpkg-reconfigure locales
选择en_US.UTF8,其他的locale去掉
提示选择默认项时,选择en_US.UTF8.

#dpkg-reconfigure localeconf
选择en_US.UTF8, LC_CTYPE选择zh_CN.GBK
系统将自动修改/etc/environment文件。


3:添加输入法
------------------
注意:在前面《ubuntu安装配置说明》文档中关于输入法的设定方法都不好,
例如使用修改/etc/X11/xinit/xinitrc等,全部需要使用这里的设定方式/etc/X11/Xsession.d/95xinput进行更正。


我们先可以安装输入法:你可以选择安装 fcitx 还是 安装SCIM

安装输入法,你可以在SCIM和fcitx输入法中任选一种安装

* SCIM:

$sudo apt-get -y install scim scim-chinese scim-config-socket scim-frontend-socket scim-gtk2-immodule scim-server-socket scim-tables-zh
$sudo sh -c " echo 'export XMODIFIERS=@im=SCIM ; export GTK_IM_MODULE="scim" ; export QT_IM_MODULE="scim" ; scim -d ' > /etc/X11/Xsession.d/95xinput "
$sudo chmod +755 /etc/X11/Xsession.d/95xinput

* fcitx:

$sudo apt-get install fcitx
$sudo sh -c " echo 'export XMODIFIERS=@im=fcitx ; export GTK_IM_MODULE="fcitx" ; fcitx ' > /etc/X11/Xsession.d/95xinput "
$sudo chmod +755 /etc/X11/Xsession.d/95xinput

重新启动Xwindow完成。按 Ctrl + 空格 键激活输入法。



使用园体美化
----------------------
到ubuntu.org.cn上下载美化字体文件VeraSansYuanTi.tar.gz;
$ sudo su -
# cd /home/ftp/pub
# mv VeraSansYuanTi.tar.gz /usr/share/fonts
# cd /usr/share/fonts
# tar zxvf VeraSansYuanTi.tar.gz
# fc-cache -f
# cp /etc/fonts/fonts.conf /etc/fonts/fonts.conf.old
# cp /usr/share/fonts/VeraSansYuanTi/fonts.conf /etc/fonts/

重启X,同时按住 Ctrl +Alt + 退格键 重启 X 。 完成美化。
gqcheng
帖子: 10
注册时间: 2005-10-30 22:23
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 gqcheng » 2006-02-26 20:20

# sudo apt-get install enlightenment

but

下列的软件包有不能满足的依赖关系:
enlightenment: 依赖: enlightenment-data (>= 0.16.5-1) 但是它将不会被安装
E: 受损安装包


why?What I do?
gqcheng
帖子: 10
注册时间: 2005-10-30 22:23
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 gqcheng » 2006-02-26 21:19

# vi /etc/apt/preferences
注意:以下各行结尾不能有多余的空格,否则会在后面出现包依赖错误。
---------------------------
Package:enlightenment
Pin:version 0.16.999*
Pin-Priority:999
Package:enlightenment-data
Pin:version 0.16.999*
Pin-Priority:999
----------------------------


correct code:

Package:enlightenment
Pin:version 0.16.999*
Pin-Priority:999

Package:enlightenment-data
Pin:version 0.16.999*
Pin-Priority:999
superiori
帖子: 110
注册时间: 2005-11-22 21:57
送出感谢: 0
接收感谢: 0

#4

帖子 superiori » 2006-02-28 23:42

gqcheng 写了:# sudo apt-get install enlightenment

but

下列的软件包有不能满足的依赖关系:
enlightenment: 依赖: enlightenment-data (>= 0.16.5-1) 但是它将不会被安装
E: 受损安装包


why?What I do?
最好是自己编译e17,不要apt-get。这个打包的版本比较低,不好用;至少一个月前我用的时候是这样
回复

回到 “Xubuntu & Lubuntu”